## ros-galactic-test-msgs 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(test_msgs)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(test_interface_files REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${test_interface_files_MSG_FILES}
  ${test_interface_files_SRV_FILES}
  ${test_interface_files_ACTION_FILES}
  ${test_interface_files_IDL_FILES}
  "msg/Builtins.msg"
  "action/NestedMessage.action"
  DEPENDENCIES builtin_interfaces
  ADD_LINTER_TESTS
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(test_action_typesupport_c_builds
    test/test_c_type_support.cpp)
  target_include_directories(test_action_typesupport_c_builds PRIVATE
    include)
  target_link_libraries(test_action_typesupport_c_builds
    ${_AMENT_EXPORT_LIBRARIES})

  ament_add_gtest(test_action_typesupport_cpp_builds
    test/test_cpp_type_support.cpp)
  target_include_directories(test_action_typesupport_cpp_builds PRIVATE
    include)
  target_link_libraries(test_action_typesupport_cpp_builds
    ${_AMENT_EXPORT_LIBRARIES})
endif()

if(DEFINED PYTHON_INSTALL_DIR)
  install(DIRECTORY src/test_msgs
    DESTINATION "${PYTHON_INSTALL_DIR}")
endif()

install(DIRECTORY include/
  DESTINATION include)

ament_export_dependencies(rosidl_default_runtime)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-galactic-test-msgs (1.0.3-2focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-test-msgs (1.0.2-2focal) focal; urgency=high

  * Update package maintainers. (#112 <https://github.com/ros2/rcl_interfaces/issues/112>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Feb 2021 08:00:00 -0000

ros-galactic-test-msgs (1.0.1-2focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 29 Jun 2020 07:00:00 -0000

ros-galactic-test-msgs (1.0.0-2focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-test-msgs (0.9.0-2focal) focal; urgency=high

  * Remove unused local variable (#96 <https://github.com/ros2/rcl_interfaces/issues/96>)
  * Contributors: Dirk Thomas

 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-galactic-test-msgs (0.8.0-2focal) focal; urgency=high

  * Add test fixtures for Arrays.srv (#84 <https://github.com/ros2/rcl_interfaces/issues/84>)
  * use idl files (if any) (#82 <https://github.com/ros2/rcl_interfaces/issues/82>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-test-msgs (0.7.4-2focal) focal; urgency=high

  * Remove unnecessary action dependencies from CMakeLists.txt (#81 <https://github.com/ros2/rcl_interfaces/issues/81>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-test-msgs (0.7.3-2focal) focal; urgency=high

  * add test cases for UTF-8 encoded strings (#80 <https://github.com/ros2/rcl_interfaces/issues/80>)
  * Add UTF-8 BOM to message_fixtures.hpp file (#79 <https://github.com/ros2/rcl_interfaces/issues/79>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-test-msgs (0.7.2-2focal) focal; urgency=high

  * add WString tests (#78 <https://github.com/ros2/rcl_interfaces/issues/78>)
  * Build interfaces from the package test_interface_files (#77 <https://github.com/ros2/rcl_interfaces/issues/77>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-test-msgs (0.7.1-2focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-galactic-test-msgs (0.7.0-2focal) focal; urgency=high

  * update test fixtures for char type (#64 <https://github.com/ros2/rcl_interfaces/issues/64>)
  * Add action with nested messages (#62 <https://github.com/ros2/rcl_interfaces/issues/62>)
  * Contributors: Dirk Thomas, Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-test-msgs (0.6.2-2focal) focal; urgency=high

  * Fix errors from uncrustify v0.68 (#57 <https://github.com/ros2/rcl_interfaces/issues/57>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 11 Jan 2019 08:00:00 -0000

ros-galactic-test-msgs (0.6.1-2focal) focal; urgency=high

  * remove trailing slash (#55 <https://github.com/ros2/rcl_interfaces/issues/55>)
  * Change UUID type in action_msgs (#54 <https://github.com/ros2/rcl_interfaces/issues/54>)
  * add new test messages for arrays of arrays (#52 <https://github.com/ros2/rcl_interfaces/issues/52>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-galactic-test-msgs (0.6.0-2focal) focal; urgency=high

  * Generate action type support / Remove hardcoded action type support (#48 <https://github.com/ros2/rcl_interfaces/issues/48>)
  * Hardcoded typesupport for Fibonacci action (#47 <https://github.com/ros2/rcl_interfaces/issues/47>)
  * Add message fixture for DynamicArrayStaticArrayPrimitivesNested (#45 <https://github.com/ros2/rcl_interfaces/issues/45>)
  * Add test message for dynamic array of static arrays (#43 <https://github.com/ros2/rcl_interfaces/issues/43>)
  * use add_compile_options instead of setting only cxx flags
  * Only install the Python messages if PYTHON_INSTALL_DIR is defined (#37 <https://github.com/ros2/rcl_interfaces/issues/37>)
  * Contributors: Esteve Fernandez, Jacob Perron, Mikael Arguedas, Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-galactic-test-msgs (0.5.0-2focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 24 Jun 2018 07:00:00 -0000

ros-galactic-test-msgs (0.4.0-2focal) focal; urgency=high

  * member of rosidl_interfaces_packages group (#28 <https://github.com/ros2/rcl_interfaces/issues/28>)
  * Merge pull request #22 <https://github.com/ros2/rcl_interfaces/issues/22> from ros2/remove_indent_off
  * Contributors: Dirk Thomas, Mikael Arguedas, Steven! Ragnarök, William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-galactic-test-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-action-msgs, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-builtin-interfaces, ros-galactic-rosidl-default-generators, ros-galactic-test-interface-files, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-test-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-action-msgs, ros-galactic-builtin-interfaces, ros-galactic-rosidl-default-runtime, ros-galactic-ros-workspace
Description: A package containing message definitions and fixtures used exclusively for testing purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-test-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
